#!/bin/bash

## Usage: echo '[{"type":"quoteSize","codes":["KR7005930003"]},{"ticket":"king"}]' | ./protobuf_websocat.sh

## Prerequisites
# - websocat client: 'brew install websocat'
# - gradle 'fatJar': './gradlew fatJar'
# - change REALTIME_URL to your environment if needed


# set filename as build output from './gradlew fatJar'

FAT_JAR=`ls quot-realtime-front-models-*-standalone.jar`
echo "** FAT_JAR: $FAT_JAR"

type websocat >/dev/null 2>&1 || {
    echo >&2 "websocat is not installed. Try: brew install websocat"
    exit 1;
}

if [[ -z $REALTIME_URL ]]; then
  echo "REALTIME_URL env is not set. Set as default."
  REALTIME_URL=ws://quot-realtime-dev.stockplus.com/websocket/protobuf
fi
echo "** REALTIME_URL: $REALTIME_URL"

cat | java -jar $FAT_JAR | websocat $REALTIME_URL -n -b --base64 | java -jar $FAT_JAR